import React from "react";

import { landing } from "../../assets/images";
import { Link } from "../link";

export const Card = ({
  title,
  subTitle: _subTitle,
  children,
  image,
  link,
  directionReverse,
}) => (
  <article className={`card ${directionReverse ? "card__toRight" : ""}`}>
    <div className="card-text">
      {title && (
        <h1 className="h1">
          <Link href={link}>{title}</Link>
        </h1>
      )}

      <p className="p card--text__p">{children}</p>
    </div>
    {image && <img className="card--img" src={landing[image]} alt="" />}
  </article>
);

Card.defaultProps = {
  title: void 0,
  subTitle: void 0,
  image: void 0,
  link: void 0,
  directionReverse: false,
};
