import React, { useMemo } from "react";

import { externalIcon } from '../../assets/icons'

import { StyledLink } from './link.styled'

export const Link = (props) => {
  const isExternal = useMemo(() => props.href?.startsWith('http'), [props.href]);

  const linkProps: any = {}

  if (isExternal) {
    linkProps.target = '_blank'
    linkProps.rel = 'noopener noreferrer'
  }

  return (
    <StyledLink contrast={props.contrast} href={props.href} {...linkProps}>
      {props.children}
      {isExternal && <img src={externalIcon} alt="external link icon" />}
    </StyledLink>
  );
};
